package k.ld31;

import k.lib.graphics.DisplayObject;
import k.lib.graphics.Shake;
import k.lib.utils.Color;

using StringTools;

class Boom extends DisplayObject {
	private static inline var SPEED:Float = 0.65;
	public var life:Int;
	public var changes:Int;

	public function new() {
		super();
		changes = 0;

		has_update = true;
		__align = DisplayObject.ALIGN_CENTER;
		alpha = 0.6;
	}

	override private inline function onUpdate():Void {
		if (tile_name.endsWith("1")) {
			tile_name = tile_name.replace("1", "2");
			tile_id = -1;
		} else if (changes < 5) {
			if (Tama.frame % 2 == 0) {
				tile_name = "boom-" + ["A", "B", "C", "D"][Std.int(Math.random() * 4)] + "1";
				tile_id = -1;
				changes++;
			}
		} else {
			Tama.instance.gameGraphics.midtop.removeChild(this);
		}
	}
}