package k.ld31;

import k.lib.graphics.DisplayObject;

class Shuriken extends DisplayObject {
	var angle:Float;
	var cos:Float;
	var sin:Float;
	private static inline var SPEED:Float = 6;

	public function new(x:Int, y:Int, angle:Float) {
		super("shuriken");
		this.x = x;
		this.y = y;
		this.angle = angle;
		has_update = true;
		cos = Math.cos(angle);
		sin = Math.sin(angle);
		radius = 7;
		__align = DisplayObject.ALIGN_CENTER;
		rotation = Math.random() * 6.28;
	}

	override private function onUpdate():Void {
		if (!Tama.locked) {
			cx = Tama.toCellX(x);
			cy = Tama.toCellY(y);
			if (!Tama.canPass(cx, cy)) return Tama.killShuriken(this);

			// Update coordinates
			x -= Std.int(SPEED * cos);
			y -= Std.int(SPEED * sin);
			rotation += 0.2;
		}
	}

}